<script setup>
const props = defineProps({
    sectionTitle: { type: String, required: true },
    menuMode: { type: String, required: true, validator: (value) => ["map", "gallery"].includes(value) },
});

definePageMeta({
    layout: 'detail',
    name: props.sectionTitle,
});

import {useEvents} from "~/composables/events.js";
const { data, status, error } = useEvents();
</script>

<template>
    <div class="w-full h-full mx-auto">
        <SectionTitle :title="sectionTitle" hx="h1" />
        <div class="flex flex-row flex-wrap gap-5 justify-center">
            <Menu :current_mode="menuMode" @filter="applyFilter" />
            <div class="w-full min-w-[430px] max-w-[1059px] h-auto min-h-[430px]">
                <p v-if="['loading', 'idle'].includes(status)">Chargement en cours...</p>
                <p v-else-if="status === 'error'">Erreur pendant le chargement des dates !</p>
                <p v-else-if="status === 'success' && data.length === 0">Pas d'évènements à afficher.</p>
                <slot v-else :events="data" />
            </div>
        </div>
    </div>
</template>